Subject: [bug#62284] (no subject)

From: Sharlatan Hellseher <[email-masked]>
Date: Thu, 22 Feb 2024 16:28:00 +0000

Hi conses and Miguel,

Thank you for the patches!

I've started the review process on them, and QA testing revealed that
some of the patches did not pass checks yet. Additionally, I understand
that the series is quite lengthy, making it challenging to keep it in
sync with the changes in the current master branch.

I would also like to mention that there are dedicated submodules for
Golang packages available that aim to assist in maintaining the
monolithic and diverse Golang ecosystem within Guix.

If possible, could you consider placing the packages in any appropriate
submodule? When you review the golang-*.scm files, you'll notice an
annotation header indicating the packages it expects to contain, and
it's preferable to avoid adding new packages in golang.scm.

Thanks,
Oleg